# This spec file has been automatically updated
Version:        10
Release: 1%{?dist}
Name:           cockpit-podman
Summary:        Cockpit component for Podman containers
License:        LGPLv2+
URL:            https://github.com/cockpit-project/cockpit-podman

Source0:        https://github.com/cockpit-project/cockpit-podman/releases/download/%{version}/cockpit-podman-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  libappstream-glib

Requires:       cockpit-bridge >= 138
Requires:       cockpit-shell >= 138
Requires:       podman >= 1.3.0

%description
The Cockpit user interface for Podman containers.

%prep
%setup -q -n cockpit-podman

%build
# Nothing to build

%install
%make_install
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Wed Oct 30 2019 Sanne Raymaekers <sanne.raymaekers@gmail.com> - 10-1

- Support for user containers

* Wed Oct 02 2019 Martin Pitt <martin@piware.de> - 9-1

- Minimize CSS in production builds
- Bump NPM dependencies to latest versions

* Wed Sep 04 2019 Martin Pitt <martin@piware.de> - 8-1

- Show list of containers that use given image
- Show placeholder while loading containers and images
- Fix setting memory limit

* Wed Jul 31 2019 Martin Pitt <martin@piware.de> - 7-1

- Fix AppStream ID
- Adjust tests to changed Cockpit Services page

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 19 2019 Martin Pitt <martin@piware.de> - 6-1

- Fix various UI regressions from Cockpit's PatternFly 4 switch
- Add packit configuration (https://packit.dev/)

* Wed Jul 10 2019 Martin Pitt <martin@piware.de> - 5-1

- Add container Terminal

* Wed Jun 26 2019 Katerina Koukiou <kkoukiou@redhat.com> - 4-1

- Fix regression in container commit

* Mon Jun 17 2019 Martin Pitt <martin@piware.de> - 3-1

- Enable Commit button for running containers
- Fix race condition with container deletion
- Stop fetching all containers/images for each container/image event

* Fri May 24 2019 Cockpit Project <cockpituous@gmail.com> - 2-1
- Update to upstream 2 release

* Wed Apr 17 2019 Cockpit Project <cockpituous@gmail.com> - 1-2
- Update to upstream 1 release

